"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.output = void 0;
const tslib_1 = require("tslib");
const strip_ansi_1 = tslib_1.__importDefault(require("strip-ansi"));
const reporter_1 = require("../reporter");
function output(results, options) {
    var _a;
    const format = (_a = options.format) !== null && _a !== void 0 ? _a : 'Standard';
    let out;
    switch (format.toLowerCase()) {
        case 'json': {
            return;
        }
        case 'simple': {
            out = (0, reporter_1.simpleReporter)(results, options);
            break;
        }
        default: {
            out = (0, reporter_1.standardReporter)(results, options);
        }
    }
    if (!out.length) {
        return;
    }
    let msg = `${out.join('\n')}\n`;
    msg = options.color ? msg : (0, strip_ansi_1.default)(msg);
    // If it has errors, Write to `stderr` and failure and exit.
    if (results.violations.length) {
        process.stderr.write(msg);
        process.exitCode = 1;
        return;
    }
    process.stdout.write(msg);
}
exports.output = output;
